icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons_061

OrangeHRM < 2.2.2 RepViewController.php Privilege Escalation

Medium

Synopsis

The remote host is vulnerable to a flaw that allows attackers to retrieve sensitive files or data.

Description

The remote host is running OrangeHRM, a human resource management system written in PHP. The version of OrangeHRM installed on the remote host fails to sanitize input within the 'RepViewController.php' PHP script. An authenticated user may use this flaw to access private data. An attacker exploiting this flaw would need a valid account on the OrangeHRM system. Successful exploitation would result in the loss of confidential data.

Solution

Upgrade to version 2.2.2 or higher.